export interface StreamMeta {
    isComplete?: boolean;
    progress?: number;
    speed?: number;
}
type Handler = (data: string, meta?: StreamMeta) => void;
export declare class StreamProcessor {
    private handler;
    private buffer;
    private speed;
    private encoder;
    private totalBytes;
    private flushing;
    constructor(handler: Handler);
    push(chunk: string): void;
    flush(done?: boolean): Promise<void>;
}
export {};
